src/index.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pin-up Tech</title>
    <meta name="viewport" content="width=device-width">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans&amp;family=Roboto:wght@400;900&amp;display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css">
    <link rel="stylesheet" href="css/styles.css">
    <body> 
      <div id="wrap">
        <div class="page-content">
          <div class="container container-details">
            <header class="header"><a class="logo" href="index.html"><img src="./images/logo.svg" width="191" height="75" alt="logo"></a></header>
            <main class="banner-wrap">
              <div class="banner-content">
                <div class="share share-bonus bg-white">
                  <div class="share__content text-red-orange">бонус до<strong class="share__price">30 000 ₴</strong></div>
                </div>
                <div class="share share-freebet bg-caribbean-green">
                  <div class="share__content text-white share-freebet__text">фрібет до<strong class="share__price">3 000 ₴</strong></div>
                </div>
              </div>
              <div class="holder-link"><a class="btn" href="#modal-click" rel="modal:open">ОТРИМАТИ БОНУС</a><a class="conditions-link display-sm-block" target="_blank" href="#">бонусні умови</a></div>
              <ul class="banner_advantages">
                <li class="banner__advantages-item"><span class="banner__advantages-icone icon-coefficient"></span>
                  <p class="banner__advantages-text">Високі<br>коефіцієнти</p>
                </li>
                <li class="banner__advantages-item"><span class="banner__advantages-icone icon-lines"></span>
                  <p class="banner__advantages-text">Максимально<br>розписані лінії</p>
                </li>
                <li class="banner__advantages-item"><span class="banner__advantages-icone icon-money"></span>
                  <p class="banner__advantages-text">Швидкі<br>виплати</p>
                </li>
              </ul>
            </main>
          </div>
          <div class="banner__player-wrap"><img class="banner__player" src="./images/player.png" width="1263" height="1026" alt="footballer-img"></div><img class="object-fit-cover" src="./images/background-img.jpg" width="1920" height="1080" alt="background-img">
          <div class="wrap__smoke-scroll"></div>
          <div class="modal" id="modal-click">
            <h4 class="modal__title">Реєстрація</h4>
            <div class="modal-body">
              <h5 class="modal__subtitle">Введіть свій номер телефону</h5>
              <form class="registration-form" action="#">
                <div class="contact-control">
                  <label class="contact-control__label" for="phone">Номер телефону</label>
                  <div class="contact-control__area"><img class="flag-icon position-absolute" src="./images/flag-icon.svg" width="30" height="20" alt="flag-icon"><span class="prompt-number position-absolute">+3 (</span>
                    <input class="contact-control__input" id="phone" type="tel" placeholder="000) 234-56-78">
                  </div>
                </div>
                <button class="btn btn-sm" type="button">забрати бонус</button>
                <div class="checkbox-body">
                  <label class="checkbox-container">Я погоджуюсь з<a href="#" target="_blank">правилами та умовами</a>
                    <input type="checkbox"><span class="check-mark"></span>
                  </label>
                  <label class="checkbox-container">Отримати розсилку про акції по<span class="open-sans-text">e-mail</span> та<span class="open-sans-text">sms</span>
                    <input type="checkbox"><span class="check-mark"></span>
                  </label>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"> </script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js">     </script>
      <script src="js/main.js">       </script>
    </body>
  </head>
</html>

src/pug/index.pug
doctype html
html(lang="en")
  head
    title Pin-up Tech
    meta(name="viewport", content="width=device-width")
    meta(http-equiv="Content-Type", content="text/html; charset=utf-8")
    link(rel="preconnect", href="https://fonts.googleapis.com")
    link(rel="preconnect", href="https://fonts.gstatic.com", crossorigin)
    link(href="https://fonts.googleapis.com/css2?family=Open+Sans&family=Roboto:wght@400;900&display=swap", rel="stylesheet")
    link(rel="stylesheet", href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css")
    link(rel="stylesheet", href="css/styles.css")
    body 
        #wrap
            .page-content
                .container.container-details
                    include layout/header
                    main.banner-wrap
                        include layout/banner/banner-text
                        include layout/banner/banner-button
                        include layout/advantages
                include layout/footballer
                include layout/background
                include layout/smoke
                include layout/modal
        script(src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js')  
        script(src='https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js')      
        script(src='js/main.js')        
                 
                                   
